.section	".rodata"
.align	8
.section	".text"
gcd_7:
	cmp	%i2, 0
	bne	be_else_21
	nop
	mov	%i3, %i2
	retl
	nop
be_else_21:
	cmp	%i2, %i3
	bg	ble_else_22
	nop
	sub	%i3, %i2, %i3
	b	gcd_7
	nop
ble_else_22:
	sub	%i2, %i3, %i2
	mov	%i3, %o4
	mov	%i2, %i3
	mov	%o4, %i2
	b	gcd_7
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	21600, %i2
	set	337500, %i3
	st	%o7, [%i0 + 4]
	call	gcd_7
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
